SystemOrganization addCategory: #'JQWidgetBox-AccessibleNewsSlider-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-AccessibleNewsSlider-Dev-Example'!

JQWidgetBoxWidgetTest subclass: #JQAccessibleNewsSliderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-AccessibleNewsSlider-Dev-Tests'!

!JQAccessibleNewsSliderTest methodsFor: 'testing' stamp: 'tbn 11/23/2009 17:42'!
testActions 

	self
		assert: ((self jQuery: 'id') accessNews)
		equals: self function, '("id").accessNews()'.

	self
		assert: ((self jQuery: 'id') accessNews headline: 'Smalltalk rocks')
		equals: self function, '("id").accessNews({headline:"Smalltalk rocks"})'.
		
	self
		assert: ((self jQuery: 'id') accessNews slideBy: 3)
		equals: self function, '("id").accessNews({slideBy:3})'.	

	self
		assert: ((self jQuery: 'id') accessNews slow)
		equals: self function, '("id").accessNews({speed:"slow"})'.

	self
		assert: ((self jQuery: 'id') accessNews normal)
		equals: self function, '("id").accessNews({speed:"normal"})'.								! !

JQWidgetExample subclass: #JQAccessibleNewsSliderExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-AccessibleNewsSlider-Dev-Example'!

!JQAccessibleNewsSliderExample classSide methodsFor: 'accessing' stamp: 'tbn 11/23/2009 17:47'!
description
	^ 'JQuery Accessible news slider'! !

!JQAccessibleNewsSliderExample classSide methodsFor: 'accessing' stamp: 'tbn 11/23/2009 17:47'!
shortName
	^'accessnews'! !

!JQAccessibleNewsSliderExample methodsFor: 'rendering' stamp: 'tbn 11/23/2009 18:00'!
renderContentOn: html

	|id|
	id := html nextId.
	html div 
		class: 'accessible_news_slider business_as_usual';
		id: id;
		script: ((html jQuery id: id) accessNews);
		with: [self renderNewsOn: html]! !

!JQAccessibleNewsSliderExample methodsFor: 'rendering' stamp: 'tbn 11/23/2009 18:02'!
renderNewsOn2: html

	html html: '<p class="skip_to_news"><a href="#skip_to_news">Skip to News</a></p>
	<p class="back"><a href="#" title="Back">&laquo; back</a></p>
	<p class="next"><a href="#" title="Next">next &raquo;</a></p>
	<a name="skip_to_news"></a>
	<ul>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>
			<a href="/"><img src="photo.jpg" width="75" height="75" alt="Business Photo" /></a>
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
	</ul>'! !

!JQAccessibleNewsSliderExample methodsFor: 'rendering' stamp: 'tbn 11/23/2009 18:05'!
renderNewsOn: html

	html html: '<p class="skip_to_news"><a href="#skip_to_news">Skip to News</a></p>
	<p class="back"><a href="#" title="Back">&laquo; back</a></p>
	<p class="next"><a href="#" title="Next">next &raquo;</a></p>
	<a name="skip_to_news"></a>
	<ul>
		<li>		 
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
		<li>			
			<p>
				<a href="/">Sed imperdiet faucibus dui. Etiam malesuada.</a><br />
				Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent sit amet felis.
			</p>
		</li>
	</ul>'! !

!JQAccessibleNewsSliderExample methodsFor: 'updating' stamp: 'tbn 11/23/2009 17:55'!
updateRoot: root
	super updateRoot: root.
	root javascript url: self library / #jqueryaccessiblenewssliderJs.
	root stylesheet url: JQWidgetBoxDevelopmentLibrary / #accessiblenewssliderCss	! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 18:48'!
accessiblenewssliderCss
	^ '/*
	Accessible News Slider : Plugin Specific
-----------------------------------------------------------------------------------------*/

.accessible_news_slider img {
	border: 0;
}
.accessible_news_slider li,
.accessible_news_slider p {
	font-family: "Arial", "Verdana", sans-serif;
	margin: 0;
	padding: 0;
	font-size: .8em;
	line-height: 1.6;
}
.accessible_news_slider li p {
	font-size: 1em;
}
.accessible_news_slider {
	position: relative;
	overflow: hidden;
}
.accessible_news_slider .javascript_css {
	position: relative;
	z-index: 3;
	padding: 20px;
	background: #fffcd3;
}
.accessible_news_slider .skip_to_news {
	position: absolute;
	top: 0;
	left: -9999px;
}
.accessible_news_slider .back {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
}
.accessible_news_slider .back a,
.accessible_news_slider .next a {
	display: none;
	outline: none; /* This is optional, and is arguably less accessible. */
}
.accessible_news_slider .next {
	position: absolute;
	top: 0;
	right: 0;
	z-index: 2;
}
.accessible_news_slider ul {
	position: relative;
	left: 0;
	width: auto;
	margin: 0;
	padding: 0;
	list-style-type: none;
	overflow: hidden;
	z-index: 1;
}
.accessible_news_slider li {
	float: left;
	display: inline;
	width: 300px;
}
 
/*
	Accessible News Slider : Plugin Specific : Theme [ Business as Usual ]
-----------------------------------------------------------------------------------------*/

.business_as_usual  {
	width: 720px;
	border-bottom: 1px solid #ddd;
	margin: 0 0 32px 0;
}
.business_as_usual a {
	color: #363636;
}
.business_as_usual .back {
	width: 360px;
	height: 23px;
	left: 0;
	background: url(newsBackbg.gif) no-repeat top right;
}
.business_as_usual .back a {
	position: absolute;
	top: 0;
	right: 130px;
	width: 150px;
	height: 23px;
	line-height: 23px;
	background: url(newsBack.gif) no-repeat top right;
}
.business_as_usual .next {
	width: 361px;
	height: 23px;
	right: 0;
	background: url(newsNextbg.gif) no-repeat top left;
}
.business_as_usual .next a {
	position: absolute;
	top: 0;
	left: 130px;
	width: 150px;
	height: 23px;
	line-height: 23px;
	text-align: right;
	background: url(newsNext.gif) no-repeat top left;
}
.business_as_usual .view_all {
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
	margin: 35px 0 0 0;
	padding: 8px;
	background: url(newsViewallbg.gif) repeat-x bottom left;
	text-align: center;
}
.business_as_usual li {
	padding: 15px 0;
	overflow: hidden;
	width: 240px;
}
.business_as_usual li img {
	float: left;
	display: inline;
}
.business_as_usual li p {
	float: left;
	display: inline;
	margin: 0 0 0 10px;
	width: 140px;
}'! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 17:51'!
newsBackGif
	^ #(71 73 70 56 57 97 54 0 23 0 196 29 0 253 253 253 239 239 239 251 251 249 244 244 244 246 246 248 226 223 223 244 243 243 238 240 239 252 252 252 245 245 245 240 238 238 247 247 247 243 245 244 252 254 253 240 240 240 224 224 222 225 225 227 222 222 222 223 223 223 246 246 246 254 254 252 251 251 251 223 224 226 225 225 225 254 254 254 250 249 249 221 221 221 255 255 255 224 224 224 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 29 0 44 0 0 0 0 54 0 23 0 0 5 255 96 39 142 164 102 158 104 170 174 44 75 190 90 182 81 91 61 219 180 125 111 89 188 215 185 31 176 214 123 141 124 186 164 210 134 65 46 159 181 102 198 216 113 110 48 58 108 52 41 205 122 183 89 159 209 167 5 47 203 228 239 217 70 134 101 48 52 140 60 62 151 195 163 210 187 157 14 223 227 99 119 37 50 51 101 20 133 56 87 27 72 134 56 135 67 88 139 24 71 25 8 0 13 0 24 149 151 153 150 0 154 158 82 159 156 155 159 165 161 157 146 85 25 21 172 2 2 172 21 174 176 178 177 175 49 179 175 173 185 181 186 21 183 189 170 4 19 195 11 194 196 198 19 197 199 49 200 202 199 195 201 198 197 204 208 202 49 6 9 3 3 12 216 218 220 217 219 221 220 215 224 223 222 221 225 217 227 25 232 230 49 1 10 1 14 7 240 242 244 241 243 240 243 7 239 248 247 246 245 242 41 216 215 15 96 188 24 5 44 112 224 96 33 225 194 134 10 25 58 108 136 48 34 196 135 14 37 42 164 152 33 227 69 85 11 23 66 8 201 97 100 72 147 37 57 153 196 32 137 50 229 201 151 43 95 114 16 17 243 129 132 11 11 109 226 228 160 147 231 77 149 25 114 254 244 185 179 103 207 154 63 39 45 188 16 145 3 211 144 79 157 70 140 25 85 42 212 136 81 169 42 20 20 114 40 7 175 59 157 222 140 249 53 44 88 168 99 131 46 148 224 102 41 201 176 36 57 68 216 73 245 109 220 144 115 23 82 29 19 84 2 73 191 119 215 134 92 9 88 112 224 175 131 251 82 33 123 184 107 92 198 141 17 147 92 73 5 100 228 198 144 47 79 158 82 57 70 134 207 160 67 139 22 237 121 180 233 209 26 42 211 108 193 186 181 107 13 33 0 0 59) asByteArray! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 17:51'!
newsBackbgGif
	^ #(71 73 70 56 57 97 143 0 23 0 213 0 0 253 253 253 244 244 244 239 239 239 251 251 249 252 252 252 224 224 222 243 245 244 238 240 239 246 246 248 245 245 245 240 238 238 240 240 240 226 223 223 225 225 227 247 247 247 244 243 243 252 254 253 222 222 222 247 245 246 250 251 253 252 255 255 252 252 254 223 225 230 223 223 223 254 254 252 251 251 251 223 224 226 246 246 246 225 225 225 254 254 254 250 249 249 221 221 221 255 255 255 224 224 224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 0 0 0 0 0 44 0 0 0 0 143 0 23 0 0 6 255 192 143 112 72 44 26 143 200 164 114 201 108 58 159 80 164 199 3 194 128 174 87 107 21 139 213 114 179 221 175 215 11 46 135 191 98 180 153 188 53 175 211 234 49 156 173 245 8 61 29 181 126 207 239 251 255 128 129 130 131 104 118 31 84 121 92 137 137 138 88 140 32 140 143 144 142 95 145 149 148 104 150 152 147 141 87 146 154 155 143 160 158 164 157 32 134 84 166 153 122 146 170 151 172 176 156 171 177 106 173 155 175 181 180 87 168 29 24 29 191 89 191 190 191 137 195 189 192 85 196 198 193 194 196 204 199 200 198 195 144 197 202 209 214 215 205 217 208 213 218 207 203 201 220 207 168 20 94 121 90 100 231 103 234 102 236 109 147 114 164 241 139 239 90 238 230 245 148 241 240 235 249 242 237 239 80 85 0 0 1 0 129 14 4 8 2 80 104 16 161 194 132 13 19 22 148 24 241 225 67 135 19 47 82 132 120 176 98 70 143 6 53 90 156 136 49 36 201 141 11 15 162 60 201 144 229 68 84 19 6 12 200 64 51 131 76 155 51 107 226 164 153 147 103 206 255 155 53 129 2 245 73 52 232 79 157 70 121 234 20 218 115 167 211 162 67 157 54 101 186 116 102 84 160 168 36 32 112 176 161 235 134 173 95 185 122 13 219 21 193 88 176 100 189 162 69 91 86 44 219 180 102 199 182 45 123 214 173 216 185 105 241 190 93 91 23 239 220 189 98 81 25 72 240 192 64 128 195 132 7 23 54 140 184 112 128 4 140 31 59 78 124 88 178 97 202 141 47 59 206 252 152 113 100 202 144 43 131 222 108 185 52 103 204 165 67 159 38 157 24 53 101 84 2 20 8 56 176 64 64 236 217 178 15 208 182 157 123 129 130 221 183 105 247 230 61 219 119 113 226 194 143 7 247 189 27 120 239 223 181 151 15 151 174 252 121 245 226 208 145 27 119 142 251 58 109 84 22 52 48 208 16 162 188 120 13 231 201 155 31 31 2 125 249 246 236 207 191 151 47 127 61 249 250 240 239 171 87 159 191 61 127 250 236 217 215 159 128 248 209 247 95 124 1 230 87 32 123 168 48 16 66 3 239 149 7 225 131 17 74 88 225 123 19 82 24 97 134 25 90 232 255 33 134 23 86 216 225 134 32 146 248 225 135 35 142 88 162 134 37 166 88 30 42 5 112 112 65 1 239 201 24 227 140 52 150 103 99 8 28 228 200 227 140 63 250 184 227 142 58 2 73 100 144 60 230 40 164 145 75 210 120 228 144 64 22 233 100 148 72 246 88 163 145 84 218 248 36 144 168 180 199 65 132 26 124 25 102 133 99 182 7 230 151 94 158 105 30 154 107 182 57 31 154 252 169 105 230 155 110 186 89 166 157 108 166 57 39 158 106 222 169 103 151 87 230 25 104 141 69 178 105 232 5 134 14 170 163 162 60 22 249 99 162 143 18 90 168 164 145 46 58 169 165 50 66 90 105 132 153 214 8 104 141 17 132 200 99 168 23 114 64 106 169 167 86 104 170 168 171 150 170 99 170 160 178 10 107 172 33 182 170 234 172 175 214 154 234 167 229 93 32 106 8 190 134 24 172 176 191 14 123 161 177 17 6 139 236 123 203 50 91 236 179 196 138 218 44 176 21 242 218 43 180 199 98 155 173 180 191 94 27 237 183 219 130 155 172 182 227 190 103 109 183 232 166 171 41 238 186 236 182 235 238 187 162 162 50 197 188 244 214 107 239 189 248 230 171 239 190 252 246 235 239 191 0 215 27 197 192 4 23 108 240 193 8 19 17 4 0 59) asByteArray! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 17:52'!
newsNextGif
	^ #(71 73 70 56 57 97 54 0 23 0 196 29 0 253 253 253 239 239 239 251 251 249 244 244 244 246 246 248 226 223 223 244 243 243 238 240 239 252 252 252 245 245 245 240 238 238 247 247 247 243 245 244 252 254 253 240 240 240 224 224 222 225 225 227 222 222 222 223 223 223 246 246 246 254 254 252 251 251 251 223 224 226 225 225 225 254 254 254 250 249 249 221 221 221 255 255 255 224 224 224 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 29 0 44 0 0 0 0 54 0 23 0 0 5 255 160 38 142 100 105 158 40 218 173 108 171 101 219 70 197 244 28 219 247 150 189 57 45 215 190 217 174 69 220 97 124 200 164 207 168 108 46 53 68 150 78 115 244 85 55 87 236 51 171 141 101 179 195 232 113 71 227 90 207 100 175 243 59 141 202 48 198 42 5 67 159 211 223 247 121 252 70 199 216 143 127 111 97 44 126 49 100 128 64 94 56 133 83 90 56 139 144 134 80 132 0 13 0 8 70 8 149 151 155 8 24 157 159 150 152 84 154 162 160 167 162 131 21 2 2 21 174 59 171 173 177 174 179 174 172 180 176 183 181 187 186 21 97 19 4 11 19 195 4 59 193 196 194 200 195 192 201 192 198 201 199 202 210 206 80 3 9 6 12 3 214 6 59 216 219 217 223 218 215 224 215 221 217 227 226 222 225 219 59 1 10 1 7 14 238 1 59 7 241 239 241 243 249 248 242 239 245 247 240 250 5 212 39 112 7 7 11 5 44 112 56 88 96 71 66 134 10 33 46 68 24 17 161 67 133 20 39 62 148 200 208 32 7 8 11 23 26 4 185 144 100 201 144 31 81 150 142 12 105 50 37 75 149 80 56 92 144 240 64 164 6 153 52 113 214 212 185 112 230 78 131 62 121 10 13 202 33 204 193 11 54 39 34 61 26 210 194 82 166 69 111 66 117 218 244 41 213 168 44 36 132 220 49 243 169 87 173 61 193 70 237 26 242 107 89 177 131 58 44 245 120 33 2 74 148 79 101 38 149 233 246 109 79 184 54 137 104 245 200 65 172 93 191 123 165 246 181 27 18 48 86 34 81 223 250 37 188 85 240 194 197 140 15 23 113 28 153 48 223 202 150 39 69 121 145 161 179 231 207 160 65 115 14 77 58 180 230 205 41 82 171 94 125 58 74 8 0 59) asByteArray! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 17:52'!
newsNextbgGif
	^ #(71 73 70 56 57 97 143 0 23 0 213 0 0 253 253 253 244 244 244 239 239 239 251 251 249 252 252 252 224 224 222 243 245 244 238 240 239 246 246 248 245 245 245 240 238 238 240 240 240 226 223 223 225 225 227 247 247 247 244 243 243 252 254 253 222 222 222 247 245 246 250 251 253 252 255 255 252 252 254 223 225 230 223 223 223 254 254 252 251 251 251 223 224 226 246 246 246 225 225 225 254 254 254 250 249 249 221 221 221 255 255 255 224 224 224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 0 0 0 0 0 44 0 0 0 0 143 0 23 0 0 6 255 192 143 112 72 44 26 143 200 164 114 201 108 58 159 80 164 199 3 194 128 174 87 107 21 139 213 114 179 221 175 215 11 46 135 191 98 180 153 188 53 175 211 234 49 156 173 245 8 61 29 181 126 207 239 251 255 128 129 130 131 104 118 31 84 121 92 137 137 138 88 140 32 140 143 144 142 95 145 149 148 104 150 152 147 141 87 146 154 155 143 160 158 164 157 32 134 84 166 153 122 146 170 151 172 176 156 171 177 106 173 155 175 181 180 87 168 29 24 29 191 89 191 190 191 137 195 189 192 85 196 198 193 194 196 204 199 200 198 195 144 197 202 209 214 215 205 217 208 213 218 207 203 201 220 207 168 20 94 121 90 100 231 103 234 102 236 109 147 114 164 241 139 239 90 238 230 245 148 241 240 235 249 242 237 239 80 85 0 0 1 0 129 14 4 8 2 80 104 16 161 194 132 13 19 22 148 24 241 225 67 135 19 47 82 132 120 176 98 70 143 6 53 90 156 136 49 36 201 141 11 15 162 60 201 144 229 68 84 19 6 12 200 64 51 131 76 155 51 107 226 164 153 147 103 206 255 155 53 129 2 245 73 52 232 79 157 70 121 234 20 218 115 167 211 162 67 157 54 101 186 116 102 84 160 168 36 32 112 176 161 235 134 173 95 185 122 13 219 21 193 88 176 100 189 162 69 91 86 44 219 180 102 199 182 45 123 214 173 216 185 105 241 190 93 91 23 239 220 189 98 81 25 72 240 192 64 128 195 132 7 23 54 140 184 112 128 4 140 31 59 78 124 88 178 97 202 141 47 59 206 252 152 113 100 202 144 43 131 222 108 185 52 103 204 165 67 159 38 157 24 53 101 84 2 20 8 56 176 64 64 236 217 178 15 208 182 157 123 129 130 221 183 105 247 230 61 219 119 113 226 194 143 7 247 189 27 120 239 223 181 151 15 151 174 252 121 245 226 208 145 27 119 142 251 58 109 84 22 52 48 208 16 162 188 120 13 231 201 155 31 31 2 125 249 246 236 207 191 151 47 127 61 249 250 240 239 171 87 159 191 61 127 250 236 217 215 159 128 248 209 247 95 124 1 230 87 32 123 168 48 16 66 3 239 149 7 225 131 17 74 88 225 123 19 82 24 97 134 25 90 232 255 33 134 23 86 216 225 134 32 146 248 225 135 35 142 88 162 134 37 166 88 30 42 5 112 112 65 1 239 201 24 227 140 52 150 103 99 8 28 228 200 227 140 63 250 184 227 142 58 2 73 100 144 60 230 40 164 145 75 210 120 228 144 64 22 233 100 148 72 246 88 163 145 84 218 248 36 144 168 180 199 65 132 26 124 25 102 133 99 182 7 230 151 94 158 105 30 154 107 182 57 31 154 252 169 105 230 155 110 186 89 166 157 108 166 57 39 158 106 222 169 103 151 87 230 25 104 141 69 178 105 232 5 134 14 170 163 162 60 22 249 99 162 143 18 90 168 164 145 46 58 169 165 50 66 90 105 132 153 214 8 104 141 17 132 200 99 168 23 114 64 106 169 167 86 104 170 168 171 150 170 99 170 160 178 10 107 172 33 182 170 234 172 175 214 154 234 167 229 93 32 106 8 190 134 24 172 176 191 14 123 161 177 17 6 139 236 123 203 50 91 236 179 196 138 218 44 176 21 242 218 43 180 199 98 155 173 180 191 94 27 237 183 219 130 155 172 182 227 190 103 109 183 232 166 171 41 238 186 236 182 235 238 187 162 162 50 197 188 244 214 107 239 189 248 230 171 239 190 252 246 235 239 191 0 215 27 197 192 4 23 108 240 193 8 19 17 4 0 59) asByteArray! !

!JQWidgetBoxDevelopmentLibrary methodsFor: '*jqwidgetbox-accessiblenewsslider-dev' stamp: 'tbn 11/23/2009 17:52'!
newsViewallbgGif
	^ #(71 73 70 56 57 97 1 0 35 0 196 0 0 244 244 244 250 250 250 253 252 252 243 242 242 247 246 246 244 243 243 248 248 248 245 244 244 252 252 252 243 243 243 246 245 245 253 253 253 251 251 251 242 242 242 242 241 241 249 249 249 247 247 247 254 254 254 241 240 240 255 255 255 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 0 0 0 0 0 44 0 0 0 0 1 0 35 0 0 5 24 224 36 142 81 185 8 8 195 4 207 99 64 16 161 28 64 145 12 77 227 56 82 63 133 0 59) asByteArray! !
